<?php
/**
 * @version		$Id: customer.php 5469 2019-01-08 22:09:26Z mic $
 * @package		Language German - Backend
 * @author		mic - https://osworx.net
 * @copyright	2019 OSWorX
 * @license		GPL - www.gnu.org/copyleft/gpl.html
 */

// Heading
$_['heading_title']			= 'Kunden';

// Text
$_['text_success']			= 'Datensatz erfolgreich bearbeitet';
$_['text_list']				= 'Übersicht';
$_['text_add']				= 'Neu';
$_['text_edit']				= 'Bearbeiten';
$_['text_default']			= 'Standard';
$_['text_account']			= 'Details';
$_['text_password']			= 'Passwort';
$_['text_other']			= 'Anderes';
$_['text_balance']			= 'Kontostand';
$_['text_address']			= 'Adresse';
$_['text_history']			= 'Verlauf';
$_['text_history_add']		= '+ Verlauf';
$_['text_transaction']		= 'Transaktionen';
$_['text_transaction_add']	= '+ Transaktion';
$_['text_reward']			= 'Punkte';
$_['text_reward_add']		= '+ Punkte';
$_['text_ip']				= 'IP';
$_['text_option']			= 'Optionen';
$_['text_login']			= 'Im Store anmelden';
$_['text_unlock']			= 'Konto entsperren';
// 3.1.x
$_['text_affiliate']		= 'Partnerdetails';
$_['text_payment']			= 'Zahlungsdetails';
$_['text_cheque']			= 'Scheck';
$_['text_paypal']			= 'PayPal';
$_['text_bank']				= 'Bank';

// Column
$_['column_name']			= 'Name';
$_['column_email']			= 'Email';
$_['column_customer_group']	= 'Kundengruppe';
$_['column_status']			= 'Status';
$_['column_date_added']		= 'Erstellt';
$_['column_comment']		= 'Kommentar';
$_['column_description']	= 'Beschreibung';
$_['column_amount']			= 'Betrag';
$_['column_points']			= 'Punkte';
$_['column_ip']				= 'IP';
$_['column_account']		= 'Konten';
$_['column_store']			= 'Store';
$_['column_country']		= 'Land';
$_['column_action']			= 'Aktion';
// < 3.1.x
$_['column_total']			= 'Anzahl Konten';

// Entry
$_['entry_customer_group']	= 'Kundengruppe';
$_['entry_firstname']		= 'Vorname';
$_['entry_lastname']		= 'Nachname';
$_['entry_email']			= 'Email';
$_['entry_telephone']		= 'Telefon';
$_['entry_newsletter']		= 'Newsletter';
$_['entry_status']			= 'Status';
$_['entry_safe']			= 'Sicher';
$_['entry_password']		= 'Passwort';
$_['entry_confirm']			= 'Wiederholung';
$_['entry_company']			= 'Firma';
$_['entry_address_1']		= 'Adresszeile 1';
$_['entry_address_2']		= 'Adresszeile 2';
$_['entry_city']			= 'Stadt';
$_['entry_postcode']		= 'PLZ';
$_['entry_country']			= 'Land';
$_['entry_zone']			= 'Bundesland';
$_['entry_default']			= 'Standardadresse';
$_['entry_comment']			= 'Kommentar';
$_['entry_description']		= 'Beschreibung';
$_['entry_amount']			= 'Betrag';
$_['entry_points']			= 'Punkte';
$_['entry_name']			= 'Kundename';
$_['entry_ip']				= 'IP';
$_['entry_date_added']		= 'Erstellt';
// < 3.1.x
$_['entry_approved']		= 'Genehmigt';
$_['entry_affiliate']		= 'Partner';
$_['entry_tracking']		= 'Trackingcode';
$_['entry_website']			= 'Webseite';
$_['entry_commission']		= 'Kommission (%)';
$_['entry_tax']				= 'Steuernr.';
$_['entry_payment']				= 'Zahlungsart';
$_['entry_cheque']				= 'Scheck Begünstigter';
$_['entry_paypal']				= 'PayPal Emailadresse';
$_['entry_bank_name']			= 'Bankname';
$_['entry_bank_branch_number']	= 'ABA/BSB Nummer';
$_['entry_bank_swift_code']		= 'SWIFT/BIC';
$_['entry_bank_account_name']	= 'Bank Kontoname';
$_['entry_bank_account_number']	= 'Bank Kontonummer';

// Help
$_['help_safe']					= 'Auf Ja setzen um Kunde von der Betrugserkennung auszunehmen';
$_['help_points']				= '- Minus verwenden um Punkte zu entfernen';
// < 3.1.x.
$_['help_affiliate']			= 'Aktivieren/Deaktivieren um Kunde die Möglichkeit am Partnersystem teilnehmen zu können';
$_['help_tracking']				= 'Trackingcode welcher notwendig ist um den Verweis auf den Partner nachverfolgen zu können';
$_['help_commission']			= 'Prozentsatz der Partner für jeden Kauf über den Trackingcode erhält';

// Error
$_['error_warning']					= 'Bitte Formular auf Fehler bzw. fehlende Einträge überprüfen';
$_['error_permission']				= 'Keine Rechte für diese Aktion';
$_['error_exists']					= 'Emailadresse ist bereits vorhanden';
$_['error_firstname']				= 'Vorname muss zwischen 1 und 32 Zeichen lang sein';
$_['error_lastname']				= 'Nachname muss zwischen 1 und 32 Zeichen lang sein';
$_['error_email']					= 'Emailadresse ist nicht gültig';
$_['error_telephone']				= 'Telefon muss zwischen 3 und 32 Zeichen lang sein';
$_['error_password']				= 'Passwort muss zwischen 4 und 20 Zeichen lang sein';
$_['error_confirm']					= 'Passwort und Wiederholung stimmen nicht überein';
$_['error_address_1']				= 'Adresszeile 1 muss zwischen 3 und 128 Zeichen lang sein';
$_['error_city']					= 'Stadt muss zwischen 2 und 128 Zeichen lang sein';
$_['error_postcode']				= 'PLZ muss zwischen 2 und 10 Zeichen lang sein';
$_['error_country']					= 'Bitte Land auswählen';
$_['error_zone']					= 'Bitte Region/Bundesland auswählen';
$_['error_custom_field']			= '%s ist erforderlich';
// < 3.1.x
$_['error_tracking']				= 'Trackingcode erforderlich';
$_['error_tracking_exists']			= 'Trackingcode wird bereits von einem anderen Partner verwendet';
$_['error_cheque']					= 'Begünstigter ist erforderlich';
$_['error_paypal']					= 'PayPal Emailadresse scheint nicht gültig zu sein';
$_['error_bank_account_name']		= 'Kontoname erforderlich';
$_['error_bank_account_number']		= 'Kontonummer erforderlich';