<?php
/**
 * @package		OpenCart
 * @author		Daniel Kerr
 * @copyright	Copyright (c) 2005 - 2017, OpenCart, Ltd. (https://www.opencart.com/)
 * @license		https://opensource.org/licenses/GPL-3.0
 * @link		https://www.opencart.com
*/

/**
* URL class
*/
class Url {
	private $url;
	private $ssl;
	private $rewrite = array();
	
	/**
	 * Constructor
	 *
	 * @param	string	$url
	 * @param	string	$ssl
	 *
 	*/
	public function __construct($url, $ssl = '') {
		$this->url = $url;
		$this->ssl = $ssl;
	}

	/**
	 *
	 *
	 * @param	object	$rewrite
 	*/	
	public function addRewrite($rewrite) {
		$this->rewrite[] = $rewrite;
	}

	/**
	 * 
	 *
	 * @param	string		$route
	 * @param	mixed		$args
	 * @param	bool		$secure
	 *
	 * @return	string
 	*/
	public function link($route, $args = '', $secure = false, $rewrite=false) {
		$url = "";

		if ($this->ssl && $secure) $url = $this->ssl; else 	$url = $this->url;
		
		if(SECTION=='user' && $rewrite==false)
		{
			$url .= URILANG.$route;
		}else $url .= 'index.php?route=' . $route;		

		if ($args) {
			if (is_array($args)) {
				$url .= '&amp;' . http_build_query($args);
			} else {
				$url .= str_replace('&', '&amp;', '&' . ltrim($args, '&'));
			}
		}

		if($rewrite || SECTION=='admin')
		foreach ($this->rewrite as $rewrite) 
		{
			$urlr = $rewrite->rewrite($url);
			if($urlr==$url)//if rewrite failed regenerate link without rerwrite
			{
				$url = $this->link($route, $args, $secure);
			}else $url=$urlr;
		}
		
		return $url; 
	}
}